﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKTXT' AND COLUMN_NAME = 'SKUN')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'STKTXT' AND CONSTRAINT_NAME = 'FK_STKTXT_STKMAS')
BEGIN 
PRINT 'Creating foreign key FK_STKTXT_STKMAS on table STKTXT'
ALTER TABLE [dbo].[STKTXT]  WITH CHECK ADD  CONSTRAINT [FK_STKTXT_STKMAS] FOREIGN KEY([SKUN])
REFERENCES [STKMAS] ([SKUN])
ON DELETE CASCADE
END
GO

